#version 330


layout (location=0) in vec3 vsPosition;
layout (location=1) in vec2 vsTexture;

uniform sampler2DRect inputTex;

out vec2 fsTexture;

void main()
{
    gl_Position=vec4(vsPosition.x,vsPosition.y,vsPosition.z,1.0);
    fsTexture = vsTexture;
    ivec2 texSize=textureSize(inputTex);
    float texHeight=float(texSize.y);
    fsTexture.y=texHeight-vsTexture.y;
}
